Vue UI Components Documentation
Vue MaskedInput Component
The MaskedInput component for Vue represents an input widget which uses a mask to distinguish between proper and improper user input. You can define phone number, ssn, zip code, dates, etc. masks by setting the jqxMaskedInput mask property.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The MaskedInput component for Vue requires the following import:
import JqxMaskedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxmaskedinput.vue";
Add the jqxMaskedInput component to the components section of the the Vue class:
components: { JqxMaskedInput },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxMaskedInput/>
<template> <JqxMaskedInput :mask="mask" :width="width" :height="height"> </JqxMaskedInput></template>
Properties
The properties of the <JqxMaskedInput/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { mask: '(###)###-###', width: 250, height: 25 }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxMaskedInput @valueChanged="onValueChanged()" :mask="mask" :width="width" :height="height"></JqxMaskedInput>
All events that are bound to a component are implemented in the methods
member of the Vue class.
methods: { onValueChanged: function () { // Do something... }}
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxMaskedInput ref="maskedinput"></JqxMaskedInput>
Here how you can use a component's method:
this.$refs.maskedinput.focus();
methods: { // Add here all used callbacks and/or events onValueChanged: function () { // Do something... this.$refs.maskedinput.focus(); }}
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:
App.vue:
<template> <JqxMaskedInput ref="maskedinput" @valueChanged="onValueChanged()" :mask="mask" :width="width" :height="height"> </JqxMaskedInput></template> <script> // Import the components that will be used import JqxMaskedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxmaskedinput.vue"; export default { components: { // Adding imported widgets here JqxMaskedInput }, data: function () { // Define properties which will use in the widget return { mask: '(###)###-###', width: 250, height: 25 } }, beforeCreate: function () { // Add here any data where you want to transform before components be rendered }, methods: { // Add here all used callbacks and/or events onValueChanged: function () { // Do something... this.$refs.maskedinput.focus(); } } }</script> <style></style>
MaskedInput Example
<template> <div> <div id="jqxWidget" style="font-size: 13px; font-family: Verdana;"> <div style="margin-top: 10px;"> Numeric </div> <JqxMaskedInput ref="numericInput" :width="250" :height="25"> </JqxMaskedInput> <div style='margin-top: 10px;'> Zip Code </div> <JqxMaskedInput ref="zipCodeInput" :mask="'#####-####'" :width="250" :height="25"> </JqxMaskedInput> <div style='margin-top: 10px;'> SSN </div> <JqxMaskedInput ref="ssnInput" :mask="'###-##-####'" :width="250" :height="25"> </JqxMaskedInput> <div style='margin-top: 10px;'> Phone Number </div> <JqxMaskedInput ref="phoneInput" :mask="'(###)###-####'" :width="250" :height="25"> </JqxMaskedInput> <div style='margin-top: 10px;'> IP Address (ex: 255.255.255.255) </div> <JqxMaskedInput ref="regexInput" :mask="'[0-2][0-5][0-5].[0-2][0-5][0-5].[0-2][0-5][0-5].[0-2][0-5][0-5]'" :width="250" :height="25"> </JqxMaskedInput> <div style='margin-top: 10px;'> Disabled </div> <JqxMaskedInput ref="disabledInput" :disabled="true" :width="250" :height="25"> </JqxMaskedInput> </div> <br /> <JqxButton @click="clear()">Clear Values</JqxButton> </div></template><script> import JqxMaskedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxmaskedinput.vue"; import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue"; export default { components: { JqxMaskedInput, JqxButton }, methods: { clear: function () { this.$refs.numericInput.clear(); this.$refs.zipCodeInput.clear(); this.$refs.ssnInput.clear(); this.$refs.phoneInput.clear(); this.$refs.regexInput.clear(); this.$refs.disabledInput.clear(); } } }</script> <style> .jqx-button { width: fit-content; }</style>

Angular MaskedInput Component

The MaskedInput component for Angular represents an input widget which uses a mask to distinguish between proper and improper user input. You can define phone number, ssn, zip code, dates, etc. masks by setting the jqxMaskedInput mask property.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<div id='jqxWidget' style="font-size: 13px; font-family: Verdana;">
  <div style='margin-top: 10px;'>
    Numeric
  </div>
  <jqxMaskedInput [theme]="'fluent'" #numericInput
                  [width]="250"
                  [height]="25">
  </jqxMaskedInput>
  <div style='margin-top: 10px;'>
    Zip Code
  </div>
  <jqxMaskedInput [theme]="'fluent'" #zipCodeInput
                  [mask]="'#####-####'"
                  [width]="250"
                  [height]="25">
  </jqxMaskedInput>
  <div style='margin-top: 10px;'>
    SSN
  </div>
  <jqxMaskedInput [theme]="'fluent'" #ssnInput
                  [mask]="'###-##-####'"
                  [width]="250"
                  [height]="25">
  </jqxMaskedInput>
  <div style='margin-top: 10px;'>
    Phone Number
  </div>
  <jqxMaskedInput [theme]="'fluent'" #phoneInput
                  [mask]="'(###)###-####'"
                  [width]="250"
                  [height]="25">
  </jqxMaskedInput>
  <div style='margin-top: 10px;'>
    IP Address (ex: 255.255.255.255)
  </div>
  <jqxMaskedInput [theme]="'fluent'" #regexInput
                  [mask]="'[0-2][0-5][0-5].[0-2][0-5][0-5].[0-2][0-5][0-5].[0-2][0-5][0-5]'"
                  [width]="250"
                  [height]="25">
  </jqxMaskedInput>
  <div style='margin-top: 10px;'>
    Disabled
  </div>
  <jqxMaskedInput [theme]="'fluent'" #disabledInput
                  [disabled]="true"
                  [width]="250"
                  [height]="25">
  </jqxMaskedInput>
</div>
<br />
<jqxButton [theme]="'fluent'" #clearButton (onClick)="clear()">Clear Values</jqxButton>	

3. Setup Component Logic

app.component.ts


import { Component, ViewChild } from '@angular/core';

import { jqxMaskedInputModule, jqxMaskedInputComponent } from 'jqwidgets-ng/jqxmaskedinput';
import { jqxButtonComponent, jqxButtonModule } from 'jqwidgets-ng/jqxbuttons';

@Component({
    selector: 'app-root',
    imports: [jqxMaskedInputModule, jqxButtonModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {
    @ViewChild('numericInput') myNumericInput: jqxMaskedInputComponent;
    @ViewChild('zipCodeInput') myZipCodeInput: jqxMaskedInputComponent;
    @ViewChild('ssnInput') mySsnInput: jqxMaskedInputComponent;
    @ViewChild('phoneInput') myPhoneInput: jqxMaskedInputComponent;
    @ViewChild('regexInput') myRegexInput: jqxMaskedInputComponent;
    @ViewChild('disabledInput') myDisabledInput: jqxMaskedInputComponent;

    clear(): void {
        this.myNumericInput.clear();
        this.myZipCodeInput.clear();
        this.mySsnInput.clear();
        this.myPhoneInput.clear();
        this.myRegexInput.clear();
        this.myDisabledInput.clear();
    }
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

MaskedInput API

API Reference of the jQWidgets MaskedInput component for Angular: MaskedInput API

React UI Components Documentation
Typescript React MaskedInput Component
This tutorial will show you the basics of how to get started with the jQWidgets MaskedInput React Component.
Prerequisites
Refer to Getting Started with React before you start with this help topic.
Structure
I. Imports:
import * as React from 'react'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';import JqxMaskedInput, { IMaskedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxmaskedinput';
II. Class:
class App extends React.PureComponent<{}, IMaskedInputProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxMaskedInput width={this.state.width} height={"100%"} ..... /> ) }}
III. Render:
ReactDOM.render(<App />, document.getElementById('app'));
Events
The event names in React are constructed of the original event names starting with capital letter plus on upfront:
class App extends React.PureComponent<{}, IMaskedInputProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxMaskedInput onNameOfEvent={this.handleEvent} width={this.state.width} height={"100%"} ..... /> ) } private handleEvent(e: Event): void { // Do Something ... }}
Methods & Properties
This is how you call methods & props:
//Get Methodsconst value = this.myMaskedInput.current!.methodName(arg1, arg2); //Set Methodsthis.myMaskedInput.current!.methodName(arg1, arg2); //Get Propertiesconst height = this.state.height; //Set Propertiesthis.setState({ height: 250 });
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
this.myMaskedInput.current!.setOptions({ width: 350, height: 400 });
Every component also have a method getOptions which returns the value of the requested option.
const width = this.myMaskedInput.current!.getOptions('width');
MaskedInput API
API Reference of the jQWidgets MaskedInput React Component: MaskedInput API
MaskedInput Demos
Demos Reference of the jQwidgets MaskedInput React Component: MaskedInput Demos